package at.ac.uibk.gitsearch.service;

import org.codeability.sharing.plugins.api.ShoppingBasket;
import org.codeability.sharing.plugins.api.ShoppingBasket.ExerciseInfo;
import org.codeability.sharing.plugins.api.ShoppingBasket.UserInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * Service for exercise/course search results
 * <p>
 */
@Service
public class ShoppingBasketService {
	

	private final Logger log = LoggerFactory.getLogger(ShoppingBasketService.class);


	public ShoppingBasketService() {

	}
	
	public ShoppingBasket getBasket(String basketToken) {
		final UserInfo userInfo = new UserInfo("Michael.Breu@uibk.ac.at");
		final ExerciseInfo exerciseInfo = new ExerciseInfo("JUnit Quality Tests Exercise", 3, "https://sharing.codeability-austria.uibk.ac.at/sharing/university-innsbruck/java/general/junit-quality-tests-exercise.git");
		final ShoppingBasket shoppingBasket = new ShoppingBasket(userInfo, new ExerciseInfo[] {exerciseInfo});
		return shoppingBasket;
	}

}
